Package org.kie.internal.command

# Interface ExtendedKieCommands

All Superinterfaces:
  `Comparable<KieService>`, `KieCommands`, `KieService`

public interface ExtendedKieCommands extends KieCommands

- ## Field Summary

  ### Fields inherited from interface org.kie.api.internal.utils.KieService

  `UNDEFINED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Command`
  `newClearActivationGroup(String name)`
  `Command`
  `newClearAgenda()`
  `Command`
  `newClearAgendaGroup(String name)`
  `Command`
  `newClearRuleFlowGroup(String name)`
  `Command`
  `newEnableAuditLog(String filename)`
  `Command`
  `newEnableAuditLog(String directory, String filename)`

  ### Methods inherited from interface org.kie.api.command.KieCommands

  `fromExternalFactHandleCommand, fromExternalFactHandleCommand, newAbortWorkItem, newAdvanceSessionTime, newAdvanceSessionTime, newAgendaGroupSetFocus, newApplyPmmlModel, newBatchExecution, newBatchExecution, newBatchExecution, newCompleteWorkItem, newDelete, newDeleteObject, newDispose, newExecutionResults, newFireAllRules, newFireAllRules, newFireAllRules, newGetFactHandle, newGetFactHandleInEntryPoint, newGetFactHandles, newGetFactHandles, newGetFactHandles, newGetFactHandles, newGetGlobal, newGetGlobal, newGetObject, newGetObject, newGetObjects, newGetObjects, newGetObjects, newGetObjects, newGetSessionTime, newGetSessionTime, newInsert, newInsert, newInsert, newInsertElements, newInsertElements, newInsertElements, newModify, newQuery, newQuery, newRegisterWorkItemHandlerCommand, newSetGlobal, newSetGlobal, newSetGlobal, newSetter, newSignalEvent, newSignalEvent, newStartProcess, newStartProcess`

  ### Methods inherited from interface org.kie.api.internal.utils.KieService

  `compareTo, servicePriority, serviceTag`

- ## Method Details

  - ### newEnableAuditLog

    Command newEnableAuditLog(String directory, String filename)

  - ### newEnableAuditLog

    Command newEnableAuditLog(String filename)

  - ### newClearActivationGroup

    Command newClearActivationGroup(String name)

  - ### newClearAgenda

    Command newClearAgenda()

  - ### newClearAgendaGroup

    Command newClearAgendaGroup(String name)

  - ### newClearRuleFlowGroup

    Command newClearRuleFlowGroup(String name)